'use strict';

/**
 * Created by gongbin on 2017/6/26.
 */

class Html5RpcManager{

    constructor(){
        this.isDebug = true;

        this.prcPerDataPackageSize = 1024*20;

        this.rpcInterval = 500;

        this.reconnectInterval = 500;

        this.isRecorrectwhenColsed = false;

        this.runtime = "native"; //brower,native

        this._isChenBinTest = true; 
    }

    get debug(){
        return this.isDebug;
    }

    set debug(value){
        this.isDebug = value;
    }

    set perPackageSize(value){
        this.prcPerDataPackageSize = value;
    }

    get perPackageSize(){
        return this.prcPerDataPackageSize;
    }


    /*
        当发送rpc时，发现链接断开了，每个多少毫秒重新发送这个rpc
    */
    get sendRpcInterval(){
        return this.rpcInterval;
    }

    set sendRpcInterval(value){
        this.rpcInterval = value;
    }

    /*
    当socket断开时，每个多少毫秒重新连接
    */
    get socketReconnectInterval(){
        return this.reconnectInterval;
    }

    set socketReconnectInterval(value){
        this.reconnectInterval = value;
    }

    get isReconnectSocket(){
        return this.isRecorrectwhenColsed;
    }

    set isReconnectSocket(value){
         this.isRecorrectwhenColsed = value;
    }

    get runtimeName(){
        return this.runtime;
    }

    set runtimeName(value){
        this.runtime = value;
    }

    get isChenBinTest(){
        return this._isChenBinTest;
    }

    set isChenBinTest(value){
        this._isChenBinTest = value;
    }
}

let html5RpcManager = new Html5RpcManager();
module.exports = html5RpcManager;