/**
 * Created by Administrator on 2017/6/22.
 */

const hessian = require('hessian.js');
var ByteBuffer = require('byte');
var is = require('is-type-of');

var debug = require('debug')('gongbin:Html5RpcOperation');

//测试hession分包传数据

let test = function (){


    let arr = [];
    arr.push({"name":"张三","age":20,"isMarrid":true});
    arr.push({"name":"李四","age":45,"isMarrid":false});
    arr.push({"name":"王五","age":3,"isMarrid":true});
    arr.push({"name":"小二","age":99,"isMarrid":false});


    let requestInfoModel = {
        $class: 'schedulingmodel.requestInfoModel',
        $:{
            serviceName:"logService",
            methodName:"getLog",
            parameters:arr
        }
    }




    let buf;
    let newBuf;
    try{
        buf = hessian.encode(requestInfoModel, '2.0');
        debug("buf length:"+buf.length);

        if(is.buffer(buf)){
            debug("buf is buffer");
        }

        newBuf = new ByteBuffer({
            size: buf.length
        })

        let perPackageSize = 400;

        if(buf.length > perPackageSize ){ //分包
            let isJustOk = buf.length%perPackageSize == 0;
            let packetNum = 0;
            if(isJustOk == true){
                packetNum = buf.length/perPackageSize;
            }
            else{
                packetNum = Math.floor(buf.length/perPackageSize)+1;
            }

            debug("准备分包个数为:"+packetNum);

            for(let packetIndex = 0 ; packetIndex < packetNum; packetIndex++){
                let packageBuf = buf.slice(packetIndex*perPackageSize,(packetIndex+1)*perPackageSize);
                newBuf.put(packageBuf,0,packageBuf.length);
                let packageData = {
                    $class: 'schedulingmodel.RequestPacketModel',
                    $:{
                        uuid:"2331313",
                        token:"eeee",
                        packetIndex:(packetIndex+1),
                        packetNum:packetNum,
                        requestInfoBytes:packageBuf
                    }
                }
                debug("当前分包索引为:"+(packetIndex+1));

              //  let packageGotohomeData = hessian.encode(packageData, '2.0');
                //this.socket.send(packageGotohomeData);
            }

        }
        else{
            let oneData = {
                $class: 'schedulingmodel.RequestPacketModel',
                $:{
                    uuid:"2331313",
                    token:"eeee",
                    packetIndex:1,
                    packetNum:1,
                    requestInfoBytes:buf,
                }
            }

            let gotohomeData = hessian.encode(oneData, '2.0');
            newBuf.put(gotohomeData,0,gotohomeData.length);
            //this.socket.send(gotohomeData);

        }
    }
    catch(err){
        debug("解析错误:"+err.message);
    }

    try {
        //测试分包传输的数据能反解码回来不
        let dd = newBuf.copy();
        if(is.buffer(dd)){
            debug("dd is buffer");
        }

        var res = hessian.decode(dd, '2.0');

        debug(res);

        res =  hessian.decode(res.requestInfoBytes, '2.0');
        debug(res);

    } catch (err) {
        debug('decode error: ', err.message);
    }


};

let arr = [];
arr[1]="3333"
arr[0] ="324234"
arr[4]="43534535";
debug('arr111 length: '+arr.length);
debug('arr[2] : '+arr[2]);
if(arr[2] == undefined){
    debug("arr[2] is undefined")
}
test();
